Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.logging
Class LogFileFormatter

    java.lang.Object
      |
      +--java.util.logging.Formatter
            |
            +--weblogic.logging.ConsoleFormatter
                  |
                  +--weblogic.logging.LogFileFormatter

public class LogFileFormatter
extends ConsoleFormatter

Formats log messages to be written to the server log file. The server side log files include fields in addition to the client log files, like machine name, server name, user and transactions id.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `BEGIN_MARKER`

Fields inherited from class weblogic.logging.ConsoleFormatter
`FIELD_PREFIX, FIELD_SUFFIX`

Constructor Summary
`LogFileFormatter()` Default constructor.

Method Summary
`java.lang.String` | `format(java.util.logging.LogRecord rec)` Formats a log record for publishing to the server or domain log files.

Methods inherited from class weblogic.logging.ConsoleFormatter
`formatDate`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN_MARKER

    public static final java.lang.String BEGIN_MARKER

Constructor Detail

### LogFileFormatter

    public LogFileFormatter()

  Default constructor. Initializes the dateformat to be used for date and time logging. The default date format is DateFormat.MEDIUM and for time it is DateFormat.FULL based on the default Locale.

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord rec)

  Formats a log record for publishing to the server or domain log files.

  Parameters:
    `rec` - The log record to be formatted.
  Returns:
    The formatted string representation of the log record.
  Overrides:
    format in class ConsoleFormatter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD